/*
// complex_over.cpp
// Complex numbers using class w/friend
// and overloaded '+' operator
*/
#include <stdio.h>

class Complex {
  float real, imag;
public:
  Complex(float = 0.0, float = 0.0);
  friend Complex operator+(Complex, Complex);
  friend void print(Complex);
};

Complex::Complex( float r, float i )
{ real = r; imag = i; }

Complex operator+(Complex a, Complex b)
{ Complex c;
  c.real = a.real + b.real;
  c.imag = a.imag + b.imag;
  return c;
}

void print(Complex a)
{ printf("(%f, %f)",a.real,a.imag);
}
main()
{ Complex a(1.0,1.0), b(-1.0,1.0), c;
  //c = add(a, b);
  c = a + b;
  print(a); printf(" + "); print(b); printf(" = ");
  print(c); printf("\n");
}
